% File name: loops.m
% comparison of execution time for regular loop and vector loop
clear all
% regular loop is executed first
% we use functions tic and toc to measure elapsed time
tic;        % start timer
n = 0;
for x = 1:0.1:1000
    n = n + 1;
    y(n) = cos(2*pi*x);
end
toc         % measure elapsed time since last call to tic
%
% the same loop is vectorized below
tic
x = 0:0.1:1000;
y = cos(2*pi*x);
toc
