
function xdot = func_ode_sys(t,x)
% Function called by ode_sys.m
%
sigma = 10; b = 7/3; r = 25;  % parameters
%
xdot(1) = sigma*(x(2) - x(1));
xdot(2) = r*x(1) - x(2) - x(1)*x(3);
xdot(3) = x(1)*x(2) - b*x(3);
xdot = xdot';
