
% File name: ode_sys.m
% Illustrates application of R-K method to system of diff. equations
%
clear all
tspan = [0 10];   % time interval
x0 = [1, 1, 10.02];                 % initial value
%
[t,x] = ode45('func_ode_sys',tspan,x0);
plot(t,x(:,1), t,x(:,2), t,x(:,3),'LineWidth',1.5)
xlabel('time','FontSize',14)
set(gca,'FontSize',14);             % size of tick marks on both axis
pause
close all
