
function ref_index = wg_struct(x)
% Construction of the waveguide structure used by BPM
width = 2.0;                        % film width
n_c = 1.48;                          % refractive index of cover
n_s = 1.49;                         % refractive index of substrate
n_f = 1.52;                         % refractive index of film
ref_index = n_s*(x<0)+n_f*((x>=0)&(x<=width))+n_c*(x>width);
