function result = func_HE11(b,V)
% Function name: func_HE11.m
% Function which defines basic relation
u= V*sqrt(1-b);
J1 = BESSELJ(1,u);
J0 = BESSELJ(0,u);
%
w = V*sqrt(b);
K1 = BESSELK(1,w);
K0 = BESSELK(0,w);

lhs = J1./J0;
rhs = (w./u).*(K1./K0);
result = lhs - rhs;