% File name: basic_2D_plot.m
% Basic plotting of Matlab are explained.
clear all
% Generate data for plot
n = 100;                        % number of plotting points
x = linspace(0,10,n);           % generates points on x-axis
y = 3*x;                        % function to be plotted
% Creation of basic plot and adding description
h = plot(x,y);                  % basic plot
pause                           % stop to analyze plot
title('Plot of function 3*x','FontSize',14)   % adding title
xlabel('x value','FontSize',14);% adding text on x-axix and size of x label
ylabel('y value','FontSize',14);% adding text on y-axix sand ize of y label
%
pause(2)                        % stop for 2 seconds
grid                            % adding grid
set(h,'LineWidth',1.5);         % new thickness of plotting lines
set(gca,'FontSize',14);         % new size of tick marks on both axis
%
pause                           % final stop
close all                       % closing all windows