% File name: deriv.m
% Program evaluates first and second derivatives and plots results
clear all
font_size = 18;
N_max = 190;
x = linspace(0,2,N_max);
y1 = sin(pi.*x);
h1 = plot(x,y1);            % plot of original function
xlabel('x','FontSize',font_size);
ylabel('Original function','FontSize',font_size);
grid on
pause
%
temp1 = y1;
dy1 = diff(temp1)./diff(x);
xnew1 = x(1:length(x)-1);
h2 = plot(xnew1,dy1);       % plots first derivative
xlabel('x','FontSize',font_size);
ylabel('First derivative','FontSize',font_size);
grid on
pause
%
temp2 = dy1;
dy2 = diff(temp2)./diff(xnew1);
xnew2 = xnew1(1:length(xnew1)-1);
h3 = plot(xnew2,dy2);       % plots second derivative
xlabel('x','FontSize',font_size);
ylabel('Second derivative','FontSize',font_size);
grid on
pause
close all