% File name: intro_session.m
%----------------------- Initialization --------------------------
clear all 
'its me'                % outputs text on screen
pause 
d=6;                    % assigns value 6 to variable d
C=[1 2 3; 3 2 1; 4 5 6];% defines matrix C
C
who                     % lists defined matrices
pause
whos                    % lists the matrices and their sizes
pause
%------------------ Colon operator -------------------------------
x =C( : , 3)            % selects third column of C matrix
pause 
format long             % shows variables on a screen in a long format
% format short
t = 0:0.1:2; 
t                       % lists value of t
pause
t'                      % transpose operator, creates vertical vector
pause
%------------- Special values and special matrices -----------------
pi                      % shows the value of pi
1i 
Inf
clock                   % year, month, day, hour, minute, seconds
pause
date                    % date in string format
eps                     % the smallest number on my computer
pause 
A = zeros(4)            % creates 4x4 matrix consisting of zeros 
B = zeros(4,3)          % creates 3x4 matrix consisting of zeros 
pause 
A1 = ones(3)            % creates 3x3 matrix consisting of ones 
B1 = ones(4,3)          % creates 3x4 matrix consisting of ones
G = ones(1,5)           % creates vector, length 5 consisting of ones
pause
D = eye(3)              % creates identity matrix

z=input('input  z'); 
z                       % shows inputed number
pause 
%------------- Prints a short table of cos values ----------------
clc                     % clears screen
n = 21; x = linspace(0,1,n); y = cos(2*pi*x); 
disp(' ') 
disp('k     x(k)   cos(x(k))') 
disp('------------------------') 
for k=1:n
   degrees = (k-1)*360/(n-1);
   fprintf(' %2.0f  %5.0f %8.3f \n',k,degrees,y(k));
end
disp( ' '); 
disp('x(k) is given in degrees.')
pause
%------------- Output Options ------------------------------------
a = 1.23456789; 
format short
a                       % display a in short format
pause 
format long 
a                       % display a in long format
disp(a)                 % another display of a in long format 
fprintf('Its me,\n %4.24f ', a)
pause
%--------------------- Data files ----------------------------
save data_1 x y;        % as *.mat file
pause 
load data_1;
z=x' 
save data_5.dat z /ascii; 
pause
%------------- Scalar and array operations -----------------------
clear all 
2+5
A=[1 2 3; 3 2 1; 4 5 6]; B=[2 3 4; 4 5 6; 5 6 7];
%
C1=A+B                  % addition of two matrices
C2=A*B                  % matrix multiplication
C3=A.*B                 % element by element multiplication
C4=A./B                 % element by element division
C5=A.^B                 % element by element exponentiation
pause
