% File name: memoryMSW.m
% comparison of execution time with and without memory reservation
clear all
% regular loop without memory allocation
% we use functions tic and toc to measure elapsed time
N = 10000;
tic;    % start timer
n = 0;
for x = 1:N
    n = n + 1;
    y(n) = cos(2*pi*x);
end
toc     % measure elapsed time since last call to tic
%
% the same loop with preallocated memory
tic
n = 0;
y  =zeros(1,N);
for x = 1:N
    n = n + 1;
    y(n) = cos(2*pi*x);
end
toc
