% File name: FT_example_1.m
% Doing preliminary Fourier transform in Matlab
clear all
N = 320;
T_0 = 10;
T_domain = 200;
Delta_t = T_domain/N;
T = Delta_t*(-N/2:1:(N/2)-1);
A_in = exp(-(T/T_0).^2);    % input gaussian pulse
plot(A_in)                  % plot of input gaussian pulse
pause
A_freq = fft(A_in);
plot(A_freq)                % not a correct pulse 
pause                       % (I explain it in the next example)
orig = ifft(A_freq);
plot(orig)                  % plots original input gaussian pulse
pause
close all
